ServerEvents.recipes(event => {

event.remove({id:'angelring:angel_ring'})

event.recipes.createMechanicalCrafting('angelring:angel_ring',[
' GGG ',
'GWNOG',
'GNENG',
'GTNDG',
' GGG '
],{
G:'minecraft:gold_block',
W:'farmersdelight:honey_glazed_ham',
N:'minecraft:netherite_block',
O:'oceansdelight:bowl_of_guardian_soup',
E:'angelring:diamond_ring',
T:'nethersdelight:plate_of_stuffed_hoglin_snout',
D:'ends_delight:dragon_breath_and_chorus_soup'
})

event.remove({id:'angelring:diamond_ring'})

event.shaped('angelring:diamond_ring',[
'ITI',
'AEU',
'IFI'
],{
I:'minecraft:diamond_block',
T:'twilightforest:carminite_block',
A:'aether:zanite_block',
E:'minecraft:elytra',
U:'undergarden:regalium_block',
F:'tofucraft:blocktofudiamond'
})

event.remove({id:'angelring:energetic_angel_ring'})

event.shaped('angelring:energetic_angel_ring',[
'NCN',
'REX',
'NIN'
],{
N:'minecraft:nether_star',
C:'createaddition:modular_accumulator',
R:'rftoolspower:cell1',
E:'angelring:angel_ring',
X:'fluxnetworks:basic_flux_storage',
I:'immersiveengineering:capacitor_lv'
})

event.remove({id:'angelring:leadstone_angel_ring'})

event.shaped('angelring:leadstone_angel_ring',[
'XGX',
'FEF',
'NLN'
],{
X:'thermal:cinnabar_block',
G:'thermal:obsidian_glass',
F:'thermal:lead_block',
E:'angelring:energetic_angel_ring',
N:'minecraft:nether_star',
L:'thermal:upgrade_augment_1'
})

})